package com.neusoft.smart.pos.printer.constants;

import com.neusoft.smart.pos.framework.constants.CommonCode;

/**
 * @author zcf
 * @date 2017-08-13 10：43
 * @description 集团门店业务错误信息使用枚举类
 */
public enum PrinterErrorCode implements CommonCode {

	TEMPLEMETE_ERROR("", ""),
	INVALIDATE_SN_ERROR("", "查询不到此设备"),
	INVALIDATE_PRINTER_ERROR("", "查询不到此打印设备任务队列"),
	EMPTY_TRANSFER_SN_ERROR("", "中转设备必须有sn"),
	;

	private String code;

	private String message;

	PrinterErrorCode(String code, String message) {
		this.code = code;
		this.message = message;
	}
	
	public String getCode() {
		return code;
	}
	
	public void setCode(String code) {
		this.code = code;
	}
	
	public String getMessage() {
		return message;
	}
	
	public void setMessage(String message) {
		this.message = message;
	}
	
}
